Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoGlyph Class Reference

The SoGlyph class is used to control and reuse font glyphs. More...

`#include <include/Inventor/misc/SoGlyph.h>`

List of all members.

## Public Methods
void | unref (void) const
const SbVec2f * | getCoords (void) const
const int * | getFaceIndices (void) const
const int * | getEdgeIndices (void) const
const int * | getNextCWEdge (const int edgeidx) const
const int * | getNextCCWEdge (const int edgeidx) const
float | getWidth (void) const
const SbBox2f & | getBoundingBox (void) const
## Static Public Methods
const SoGlyph * | getGlyph (const char character, const SbName &font)
## Protected Methods
| SoGlyph (void)
| ~SoGlyph ()
void | setCoords (SbVec2f *coords, int numcoords=-1)
void | setFaceIndices (int *indices, int numindices=-1)
void | setEdgeIndices (int *indices, int numindices=-1)

## Detailed Description

The SoGlyph class is used to control and reuse font glyphs.

FIXME: class doc

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since:
  Coin 2.0

## Constructor & Destructor Documentation

SoGlyph::SoGlyph | ( | void |  | ) | `[protected]`

| Constructor.

SoGlyph::~SoGlyph | ( |  | ) | `[protected]`

| Destructor.

## Member Function Documentation

void SoGlyph::unref | ( | void |  | ) | const

| Should be called when a node no longer will use a glyph. Will free memory used by this glyph when it is no longer used by any node.

const SoGlyph * SoGlyph::getGlyph | ( | const char | character,
|  | const SbName & | font
| ) | `[static]`

| Returns a character of the specified font.

const SbVec2f * SoGlyph::getCoords | ( | void |  | ) | const

| Returns coordinates for this glyph.

const int * SoGlyph::getFaceIndices | ( | void |  | ) | const

| Returns face indices for this glyph.

const int * SoGlyph::getEdgeIndices | ( | void |  | ) | const

| Returns edge indices for this glyph.

const int * SoGlyph::getNextCWEdge | ( | const int | edgeidx | ) | const

| Returns a pointer to the next clockwise edge. Returns NULL if none could be found.

const int * SoGlyph::getNextCCWEdge | ( | const int | edgeidx | ) | const

| Returns a pointer to the next counter clockwise edge. NULL if none could be found.

float SoGlyph::getWidth | ( | void |  | ) | const

| Convenience method which returns the exact width of the glyph.

const SbBox2f & SoGlyph::getBoundingBox | ( | void |  | ) | const

| Returns the bounding box of this glyph. This value is cached for performance.

void SoGlyph::setCoords | ( | SbVec2f * | coords,
|  | int | numcoords = -1
| ) | `[protected]`

| Sets the coordinates for this glyph. If numcoords > 0, the data will be copied before returing. If numcoords <= 0, coords will be used directly.

void SoGlyph::setFaceIndices | ( | int * | indices,
|  | int | numindices = -1
| ) | `[protected]`

| Sets the face indices for this glyph. If numindices > 0, the data will be copied before returning. If numcoords <= 0, indices will be used directly.

void SoGlyph::setEdgeIndices | ( | int * | indices,
|  | int | numindices = -1
| ) | `[protected]`

| Sets the edge indices for this glyph. If numindices > 0, the data will be copied before returning. If numcoords <= 0, indices will be used directly.

The documentation for this class was generated from the following files:

- SoGlyph.h
- SoGlyph.cpp